package org.wfc.omada.api.organization.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.Valid;
import javax.validation.constraints.NotNull;
import java.util.ArrayList;
import java.util.List;
import java.util.Objects;

/**
 * BatchSiteImportVo
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:17:18.430+08:00[Asia/Shanghai]")

public class BatchSiteImportVo   {
  @JsonProperty("fileServerConfig")
  private FileServerOpenApiVo fileServerConfig;

  @JsonProperty("siteImportConfigList")
  @Valid
  private List<SiteImportOpenApiVo> siteImportConfigList = new ArrayList<>();

  public BatchSiteImportVo fileServerConfig(FileServerOpenApiVo fileServerConfig) {
    this.fileServerConfig = fileServerConfig;
    return this;
  }

  /**
   * Get fileServerConfig
   * @return fileServerConfig
  */
  @ApiModelProperty(required = true, value = "")
  @NotNull

  @Valid

  public FileServerOpenApiVo getFileServerConfig() {
    return fileServerConfig;
  }

  public void setFileServerConfig(FileServerOpenApiVo fileServerConfig) {
    this.fileServerConfig = fileServerConfig;
  }

  public BatchSiteImportVo siteImportConfigList(List<SiteImportOpenApiVo> siteImportConfigList) {
    this.siteImportConfigList = siteImportConfigList;
    return this;
  }

  public BatchSiteImportVo addSiteImportConfigListItem(SiteImportOpenApiVo siteImportConfigListItem) {
    this.siteImportConfigList.add(siteImportConfigListItem);
    return this;
  }

  /**
   * Site import config list. max size 300.
   * @return siteImportConfigList
  */
  @ApiModelProperty(required = true, value = "Site import config list. max size 300.")
  @NotNull

  @Valid

  public List<SiteImportOpenApiVo> getSiteImportConfigList() {
    return siteImportConfigList;
  }

  public void setSiteImportConfigList(List<SiteImportOpenApiVo> siteImportConfigList) {
    this.siteImportConfigList = siteImportConfigList;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    BatchSiteImportVo batchSiteImportVo = (BatchSiteImportVo) o;
    return Objects.equals(this.fileServerConfig, batchSiteImportVo.fileServerConfig) &&
        Objects.equals(this.siteImportConfigList, batchSiteImportVo.siteImportConfigList);
  }

  @Override
  public int hashCode() {
    return Objects.hash(fileServerConfig, siteImportConfigList);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class BatchSiteImportVo {\n");
    
    sb.append("    fileServerConfig: ").append(toIndentedString(fileServerConfig)).append("\n");
    sb.append("    siteImportConfigList: ").append(toIndentedString(siteImportConfigList)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

